main {
  padding-top: 222px;
}

/*
* Horizontal Navigation
*/
.horizontal-nav {
  display: block;
  position: fixed;
  /*top: 0;*/
  left: 0;
  height: 222px;
  width: 100%;  
  background-color: white;
  text-align: left;
  z-index: 150;
  box-sizing: border-box;
  border-bottom: 1px solid var(--layout-border-colour);
}

.horizontal-nav > .header {
  display: block;
  margin-left: auto;
  margin-right: auto;
  max-width: 1564px;
  height: 100px;
  width: 100%;
  box-sizing: border-box;
  background-color: white;
}

.horizontal-nav > .header .title {
  display: flex;
  align-items: center;     /* Vertical centering */
  width: 100%;
}

.horizontal-nav > .header .title > h1 {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.horizontal-nav > .secondary-header {
  display: flex;
  margin-left: auto;
  justify-content: center;
  margin-right: auto;
  max-width: 1564px;
  height: 70px;
  width: 100%;
  box-sizing: border-box;
  background-color: white;
}


.horizontal-nav > .header > .horiz-flex-cont > .body {
  display: flex;
  justify-content: center;
}

.horizontal-nav > .body {
  display: inline-block;
  padding-left: 15px;
  padding-right: 15px;
  text-align: center;
  width: 100%;
  box-sizing: border-box;
  border-top: 1px solid var(--layout-border-colour);
  background-color: white;
}

.horizontal-nav > .body.nav-container > div > ul {
  display: inline-block;
  list-style-type: none;
  margin: 0;
  padding: 0;
  vertical-align: top;
  padding-left: 10px;
  padding-right: 10px;
  overflow-y: auto;
  box-sizing: border-box;
  user-select: none;
  font-size: 19px;
  font-weight: 700;
}

.horizontal-nav >.body.nav-container > div > ul > li:first-child {
  padding-left: 0px;
}

.horizontal-nav >.body.nav-container > div > ul > li:last-child {
  padding-right: 0px;
}

.horizontal-nav >.body.nav-container > div > ul > li {
  display: inline-block;
  line-height: 46px;
  padding-left: 5px;
  padding-right: 5px;
  text-align: center;
  margin-top: 2px;
  margin-bottom: 2px;
}

.horizontal-nav >.body.nav-container > div > ul > li.highlight a {
  color: var(--highlight-colour) !important;
}

.horizontal-nav >.body.nav-container > div > ul > li.selected a {}

.horizontal-nav >.body.nav-container > div > ul > li > a {
  color: var(--navigation-text-colour);
  padding: 5px 16px;
  box-sizing: border-box;
  text-decoration: none;
  cursor: pointer;
  font-weight: 700;
  margin-top: 15px;
  margin-bottom: 15px;
}

.horizontal-nav >.body.nav-container > div > ul > li > a:hover {
  background-color: var(--secondary-colour);
    transition: all ease-in 200ms, line-height 0ms;
  -webkit-transition: all ease-in 200ms, line-height 0ms;
}

.horizontal-nav >.body.nav-container > div > ul > li.highlight a:hover {
  background-color: var(--highlight-colour) !important;
  color: white !important;
}


.horizontal-nav > .header .mobile-menu-button {
  display: none;
  height: 100%;
  line-height: 60px;
  padding-left: 10px;
  padding-right: 10px;
  float: right;
  cursor: pointer;
  vertical-align: middle;
}

span.bigsave-logo {
  display: inline-block;
  width: 216px;
  height: 100px;
  background: url("images/bigsave-logo-coloured.png");
  background-size: 80%;
  background-repeat: no-repeat;
  background-position: center;
  image-rendering: smooth;
}

span.msd-logo {
  display: inline-block;
  width: 230px;
  height: 70px;
  background: url("images/MSD-Logo.webp");
  background-size: 100%;
  background-repeat: no-repeat;
  background-position: center;
  image-rendering: smooth;
}

span.work-and-income-logo {
  display: inline-block;
  width: 270px;
  height: 70px;
  background: url("images/winz_left_aligned_msd_blue.png");
  background-size: 100%;
  background-repeat: no-repeat;
  background-position: center;
  image-rendering: smooth;
}


/* bigsave-react-library missing styles */
.horiz-flex-cont { display: flex; flex-direction: row; width: 100%; min-width: 0; }
.horiz-flex-cont .body { flex: 1 1 auto; min-width: 0; }
.horiz-flex-cont .fixed { flex: 0 0 auto; }


/* Media Query Size Guide
  320px — 480px: Mobile devices
  481px — 768px: iPads, Tablets
  769px — 1024px: Small screens, laptops
  1025px — 1200px: Desktops, large screens
  1201px and more —  Extra large screens, TV
*/

@media (max-width: 360px) {
  span.msd-logo {
    width: 140px !important;
  }
}

@media (min-width: 361px) and (max-width: 479px) {
  span.msd-logo {
    width: 160px !important;
  }
}

@media only screen and (max-width: 850px) {

  span.bigsave-logo {
    background-size: 90%;
  }

  main {
    padding-top: 151px;
  }

  .horizontal-nav {
    height: 151px;
  }

  .horizontal-nav > .header {
    height: 80px;
  }

  span.bigsave-logo {
    width: 150px;
    height: 80px;
  }

  .horizontal-nav > .header  .mobile-menu-button {
    display: flex;
    align-items: center;     /* Vertical centering */
    justify-content: center; /* Optional: horizontal centering */
  }

  .horizontal-nav .nav-container {
    display: none;
  }

  .horizontal-nav .mobile-menu {
    position: fixed !important;
    display: block;
    position: relative;
    border-bottom: 1px solid var(--layout-border-colour);
  }

  .horizontal-nav .mobile-menu >.nav-container {
    display: block;
    height: auto;
    width: 100%;
    padding: 0;
  }

  .horizontal-nav > .body .mobile-menu {
    margin-top: 60px;
    position: fixed !important;
    display: block;
    position: relative;
  }

  .horizontal-nav  > .body .mobile-menu > .nav-container {
    display: block;
    height: auto;
    width: 100%;
    padding: 0;
    color: white;
  }

  .horizontal-nav >.body.nav-container > div > ul > li {
    display: block;
    width: 100%;
    box-sizing: border-box;
    padding: 0;
  }

  /* Left align logo */
  .horizontal-nav > .header > .horiz-flex-cont > .body {
    justify-content: left;
  }

  .mobile-menu {
    display: none;
  }
}

@media only screen and (max-width: 1564px) {
  .horizontal-nav > .header {
    max-width: 100%;
  }
}

/*@media screen 
  and (device-width: 360px) 
  and (-webkit-device-pixel-ratio: 2) {

}*/


/* test mobile menu change */
.menu-icon {
  width: 40px;
  height: 35px;
  display: inline-block;
}

.close-icon {
  display: none;
}

.mobile-menu {
  display: block;
}